CVE-2007-0609

Properties

Published:
08.05.2007
Updated:
19.06.2007
Patch available:
Severity:
Medium
CVSS vector:
(AV:N/AC:H/Au:N/C:P/I:P/A:P)
Product:
Advanced Guestbook: Advanced Guestbook

Vulnerability description

Directory traversal vulnerability in Advanced Guestbook 2.4.2 allows remote attackers to bypass .htaccess settings, and execute arbitrary PHP local files or read arbitrary local templates, via a .. (dot dot) in a lang cookie, followed by a filename without its .php extension, as demonstrated via a request to index.php.

References:

BUGTRAQ: http://www.securityfocus.com/archive/1/archive/1/467941/100/0/threaded
BUGTRAQ: http://www.securityfocus.com/archive/1/archive/1/467937/100/0/threaded
http://www.netvigilance.com/advisory0012: http://www.netvigilance.com/advisory0012
http://www.netvigilance.com/advisory0013: http://www.netvigilance.com/advisory0013
BID: http://www.securityfocus.com/bid/23876
FRSIRT: http://www.frsirt.com/english/advisories/2007/1726
SECUNIA: http://secunia.com/advisories/25153
XF: http://xforce.iss.net/xforce/xfdb/34152